%define upstream_name    Moo
%define upstream_version 1.000007

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Efficient generation of subroutines via string eval
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-authors/id/M/MS/MSTROUT/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Class::Method::Modifiers) >= 1.100.0
BuildRequires: perl(Devel::GlobalDestruction) >= 0.90.0
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Module::Runtime) >= 0.12.0
BuildRequires: perl(Role::Tiny) >= 1.2.4
BuildRequires: perl(Test::Fatal) >= 0.3.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strictures) >= 1.4.3
BuildArch:  noarch

%description
This module is an extremely light-weight, high-performance the Moose
manpage replacement. It also avoids depending on any XS modules to allow
simple deployments. The name 'Moo' is based on the idea that it provides
almost -but not quite- two thirds of the Moose manpage.

Unlike 'Mouse' this module does not aim at full the Moose manpage
compatibility. See the /INCOMPATIBILITIES manpage for more details.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.7-2.mga3
+ Revision: 370060
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 1.0.7-1.mga3
+ Revision: 342390
- update to 1.000007

* Wed Nov 07 2012 jquelin <jquelin> 1.0.5-1.mga3
+ Revision: 316055
- update to 1.000005

* Thu Oct 04 2012 jquelin <jquelin> 1.0.4-1.mga3
+ Revision: 302780
- update to 1.000004

* Mon Sep 17 2012 jquelin <jquelin> 1.0.3-1.mga3
+ Revision: 295001
- update to 1.000003

* Sun Aug 05 2012 shlomif <shlomif> 1.0.2-1.mga3
+ Revision: 278710
- New version 1.000002
- update to 1.000001

* Fri Jun 29 2012 shlomif <shlomif> 0.91.11-1.mga3
+ Revision: 265215
- New Moo version - Moo-0.091011.tar.gz

* Wed Jun 06 2012 jquelin <jquelin> 0.91.7-1.mga3
+ Revision: 256205
- update to 0.091007

* Wed Jan 04 2012 jquelin <jquelin> 0.9.13-1.mga2
+ Revision: 190328
- update to 0.009013

* Wed Nov 16 2011 takashi <takashi> 0.9.12-1.mga2
+ Revision: 168092
- update to 0.009012

* Thu Oct 13 2011 jquelin <jquelin> 0.9.11-1.mga2
+ Revision: 154346
- update to 0.009011

  + kharec <kharec>
    - update to 0.009010

* Fri Jun 17 2011 jquelin <jquelin> 0.9.8-1.mga2
+ Revision: 109105
- imported package perl-Moo

